<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_graph_sort_context Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_graph_sort_context Struct Reference<br/>
<small>
[<a class="el" href="group__group__vx__context.html">Context APIs</a>]</small>
</h1><!-- doxytag: class="tivx_graph_sort_context" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Context used while sorting a graph. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__graph__sort__context.html#ac6d7e6765f17bed118fee4db561edc5f">sorted_nodes</a> [TIVX_GRAPH_MAX_NODES]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sorted node list.  <a href="#ac6d7e6765f17bed118fee4db561edc5f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__graph__sort__context.html#ad3e63b335bc7677df96033aa70671b3c">stack</a> [TIVX_GRAPH_MAX_NODES]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint16_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__graph__sort__context.html#a907a59f05725bef44ff64886c7da75bc">stack_top</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint16_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__graph__sort__context.html#a077f90b4e2f01b8353edf79665668007">stack_max_elems</a></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="ac6d7e6765f17bed118fee4db561edc5f"></a><!-- doxytag: member="tivx_graph_sort_context::sorted_nodes" ref="ac6d7e6765f17bed118fee4db561edc5f" args="[TIVX_GRAPH_MAX_NODES]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> <a class="el" href="structtivx__graph__sort__context.html#ac6d7e6765f17bed118fee4db561edc5f">tivx_graph_sort_context::sorted_nodes</a>[TIVX_GRAPH_MAX_NODES]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sorted node list. </p>

</div>
</div>
<a class="anchor" id="ad3e63b335bc7677df96033aa70671b3c"></a><!-- doxytag: member="tivx_graph_sort_context::stack" ref="ad3e63b335bc7677df96033aa70671b3c" args="[TIVX_GRAPH_MAX_NODES]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> <a class="el" href="structtivx__graph__sort__context.html#ad3e63b335bc7677df96033aa70671b3c">tivx_graph_sort_context::stack</a>[TIVX_GRAPH_MAX_NODES]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>stack used while sorting </p>

</div>
</div>
<a class="anchor" id="a907a59f05725bef44ff64886c7da75bc"></a><!-- doxytag: member="tivx_graph_sort_context::stack_top" ref="a907a59f05725bef44ff64886c7da75bc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t <a class="el" href="structtivx__graph__sort__context.html#a907a59f05725bef44ff64886c7da75bc">tivx_graph_sort_context::stack_top</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>stack top </p>

</div>
</div>
<a class="anchor" id="a077f90b4e2f01b8353edf79665668007"></a><!-- doxytag: member="tivx_graph_sort_context::stack_max_elems" ref="a077f90b4e2f01b8353edf79665668007" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t <a class="el" href="structtivx__graph__sort__context.html#a077f90b4e2f01b8353edf79665668007">tivx_graph_sort_context::stack_max_elems</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>stack max size </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
